List deep research
curl --request GET \
--url https://app.frogbot.ai/api/v1/research \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.frogbot.ai/api/v1/research"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.frogbot.ai/api/v1/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.frogbot.ai/api/v1/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.frogbot.ai/api/v1/research"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.frogbot.ai/api/v1/research")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.frogbot.ai/api/v1/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "succeeded",
"title": "Latest Advancements in Quantum Computing",
"topic": "What are the latest advancements in quantum computing?",
"createdAt": "2026-01-20T14:30:00.000Z",
"updatedAt": "2026-01-20T14:35:00.000Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"status": "running",
"title": "Researching...",
"topic": "Compare React vs Vue for enterprise applications",
"createdAt": "2026-01-20T14:25:00.000Z",
"updatedAt": "2026-01-20T14:25:00.000Z"
}
],
"totalDocs": 2
}
{
"error": "Unauthorized"
}
{
"error": "Invalid where parameter - must be valid JSON"
}
Deep Research API
List deep research
List all deep research jobs with filtering and sorting
GET
/
api
/
v1
/
research
List deep research
curl --request GET \
--url https://app.frogbot.ai/api/v1/research \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.frogbot.ai/api/v1/research"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.frogbot.ai/api/v1/research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.frogbot.ai/api/v1/research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.frogbot.ai/api/v1/research"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.frogbot.ai/api/v1/research")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.frogbot.ai/api/v1/research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"docs": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "succeeded",
"title": "Latest Advancements in Quantum Computing",
"topic": "What are the latest advancements in quantum computing?",
"createdAt": "2026-01-20T14:30:00.000Z",
"updatedAt": "2026-01-20T14:35:00.000Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"status": "running",
"title": "Researching...",
"topic": "Compare React vs Vue for enterprise applications",
"createdAt": "2026-01-20T14:25:00.000Z",
"updatedAt": "2026-01-20T14:25:00.000Z"
}
],
"totalDocs": 2
}
{
"error": "Unauthorized"
}
{
"error": "Invalid where parameter - must be valid JSON"
}
Retrieve a list of all your deep research jobs. Filter by status, date, or topic to find what you need.
Authenticate
Use an API key in theAuthorization header.
curl https://app.frogbot.ai/api/v1/research \
-H "Authorization: Bearer $FROGBOT_API_KEY"
Query parameters
integer
default:"20"
Maximum number of results to return. Max 100.
string
default:"-createdAt"
Field to sort by. Prefix with
- for descending order.Examples: -createdAt, title, -updatedAtstring
JSON-encoded filter query using FrogBot’s query syntax.Supports operators:
equals, not_equals, contains, exists, greater_than, less_than, in, not_in, and more.Use and / or for complex queries.{
"metadata.research.status": {
"equals": "succeeded"
}
}
Response
array
Array of research job summaries.
integer
Total number of research jobs matching the query.
Examples
curl "https://app.frogbot.ai/api/v1/research" \
-H "Authorization: Bearer $FROGBOT_API_KEY"
curl "https://app.frogbot.ai/api/v1/research?limit=10" \
-H "Authorization: Bearer $FROGBOT_API_KEY"
curl "https://app.frogbot.ai/api/v1/research?where=%7B%22status%22%3A%7B%22equals%22%3A%22succeeded%22%7D%7D" \
-H "Authorization: Bearer $FROGBOT_API_KEY"
import requests
import json
# List all research
response = requests.get(
"https://app.frogbot.ai/api/v1/research",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
data = response.json()
print(f"Total: {data['totalDocs']}")
# Filter by status
where = json.dumps({"status": {"equals": "succeeded"}})
response = requests.get(
"https://app.frogbot.ai/api/v1/research",
headers={"Authorization": "Bearer YOUR_API_KEY"},
params={"where": where, "limit": 10}
)
// List all research
const response = await fetch(
"https://app.frogbot.ai/api/v1/research",
{
headers: { Authorization: "Bearer YOUR_API_KEY" },
}
);
const data = await response.json();
console.log(`Total: ${data.totalDocs}`);
// Filter by status
const where = JSON.stringify({
status: { equals: "succeeded" },
});
const filtered = await fetch(
`https://app.frogbot.ai/api/v1/research?where=${encodeURIComponent(where)}&limit=10`,
{
headers: { Authorization: "Bearer YOUR_API_KEY" },
}
);
{
"docs": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "succeeded",
"title": "Latest Advancements in Quantum Computing",
"topic": "What are the latest advancements in quantum computing?",
"createdAt": "2026-01-20T14:30:00.000Z",
"updatedAt": "2026-01-20T14:35:00.000Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"status": "running",
"title": "Researching...",
"topic": "Compare React vs Vue for enterprise applications",
"createdAt": "2026-01-20T14:25:00.000Z",
"updatedAt": "2026-01-20T14:25:00.000Z"
}
],
"totalDocs": 2
}
{
"error": "Unauthorized"
}
{
"error": "Invalid where parameter - must be valid JSON"
}
Where query examples
Filter by status
{
"status": {
"equals": "succeeded"
}
}
Filter by date range
{
"createdAt": {
"greater_than": "2026-01-01T00:00:00.000Z"
}
}
Complex query with AND/OR
{
"or": [
{
"status": {
"equals": "succeeded"
}
},
{
"status": {
"equals": "running"
}
}
]
}
Search by topic
{
"topic": {
"contains": "quantum"
}
}